{% extends formato_pag == "raw" ? "raw.twig" : "master.twig" %}
{% block contenido %}
    <div class="row detalle_producto">
        <div class="small-12 columns">
            <input type="hidden" id="idExt" name="idExt" value="{{ producto.extensiones.first.id }}" />
            <input type="hidden" id="id" name="id" value="{{ producto.id }}" />
            <div class="row">
                <div class="small-12 medium-5 columns">
                    {% if producto.imagenes|length > 0 %}
                        {% set img = producto.imagenes.first %}
                        <div class="row visor_imagen">
                            <div class="small-12 columns">
                                <a data-featherlight id="idProducto" href="{{ urlImg }}productos/{{ producto.id }}/{{ img.archivo }}">
                                    <img class="img_fullwidth" src="{{ urlImg }}productos/{{ producto.id }}/{{ img.archivo }}" alt="{{ producto.nombre }}" />
                                </a>
                            </div>
                        </div>
                        <div class="lista_thumbs" id="lista_thumbs">
                            <ul id="thumbs">
                                {% for i in producto.imagenes %}
                                <li style="width: 90px; height: 116px; float: left; padding: 5px;">
                                    <img class="thumbnail" rel="thumbImagen" data-img="{{ urlImg }}productos/{{ producto.id }}/{{ i.archivo }}" src="{{ urlImg }}productos/{{ producto.id }}/thumb/{{ i.archivo }}" alt="{{ i.descripcion }}" />        
                                </li>
                                {% endfor %}
                            </ul>
                            <div class="img anterior"></div>
                            <div class="img siguiente"></div>
                        </div>
                    {% endif %}
                </div>
                <div class="small-12 medium-7 columns">
                    <h3>{{ producto.nombre }}</h3>
                    {% if producto.referencia|length > 0 %}
                        <p class="referencia">Ref. {{ producto.referencia }}</p>
                    {% endif %}
                    <p>{{ producto.descripcion }}</p>
                    
                    {% if producto.valor_base > 0 %}
                    <div class="precio_prod">
                        <p>
                            <div><strong><big>$ {{ producto.valor_base|number_format }}</big></strong></div>
                            <div><small>Unidad</small></div>
                        </p>
                        <br />
                    </div>
                    {% endif %}
                    
                    {#% set atributos = producto.atributosRef %}
                    {% if atributos|length > 0 %}
                        <h4>Caracter&iacute;sticas</h4>
                        <ul class="atributos">
                            {% for a in atributos %}
                                {% if a.valor|length > 0 %}
                                <li>{{ a.atributo.descripcion }}: {{ a.valor }}</li>
                                {% endif %}
                            {% endfor %}
                        </ul>
                    {% endif %#}
                    
                    <div class="row">
                        <div class="medium-9 columns end">
                            <div class="row">
                                {% if producto.extensiones|length > 1 %}
                                <div class="small-6 columns">Talla</div>
                                <div class="small-6 columns">
                                    <div class="listaTallas clearfix">
                                        <select id="talla" name="talla">
                                        {% for e in producto.extensiones %}
                                            {% set talla = e.talla  %}
                                            <option value="{{ e.id }}">{{ talla.abrev }}</option>
                                        {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="small-12 columns"><br /></div>
                                {% endif %}
                            </div>
                            <div class="row collapse">
                                <div class="small-3 columns">
                                    <input type="text" id="cantidad" value="1" />
                                </div>
                                <div class="small-2 columns">
                                    <a href="#" id="lnkMas">+</a>
                                    <a href="#" id="lnkMenos">-</a>
                                </div>
                                <div class="small-7 columns"><a class="button full verde uppercase" rel="lnkAgregarProd" href="{{ url_site }}index.php?option=com_my_component&controller=carrito&task=agregarProducto">A&ntilde;adir</a></div>
                            </div>
                            <div class="row">
                                <div class="small-12 columns">
                                    <br />
                                    <small>
                                    {% for c in producto.categorias %}
                                        {{ c.nombre }}{% if not loop.index.last %},{% endif %}
                                    {% endfor %}
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>                    
                    {#<div class="row">
                        {% if producto.extensiones|length > 1 %}
                        <div class="small-6 columns">Color</div>
                        <div class="small-6 columns">
                            <div class="listaColores clearfix">
                                {% for e in producto.extensiones %}
                                    {% set color = e.color  %}
                                    <a class="lnkColor float-left" href="#" style="background-color: {{ color.codigo }}" data-ref="{{ producto.id }}" data-ext="{{ e.id }}" data-color="{{ color.id }}"></a>
                                    <!--input type="radio" class="color" id="color_{{ producto.id }}_{{ color.id }}" name="color_{{ producto.id }}" data-ref="{{ producto.id }}" value="{{ e.id }}" />
                                    <label for="color_{{ producto.id }}_{{ color.id }}" style="background-color: {{ color.codigo }}">{{ codigo.nombre }}</label-->
                                {% endfor %}                                
                            </div>
                        </div>
                        {% endif %}
                    </div>#}
                </div>

                {#<div class="small-12 medium-3 columns">
                    <div class="menu_categorias">
                        <ul>
                            <li><strong>Categor&iacute;as</strong></li>
                            {% for c in categorias %}
                            <li><a href="{{ preUrl }}index.php?controller=catalogo&task=listarProductos&id_cat={{ c.id }}">{{ c.nombre }}</a></li>
                            {% endfor %}
                        </ul>
                        <hr />
                        <p><strong>Contacto</strong></p>
                        <p><span class="uppercase">Cali Principal: </span><br />
                            Cra. 7 No. 14-52 <br />
                            C. C. Elite Piso 6 Local 614 - 615 <br />
                            Whatsapp: +57 320-691 5269 <br />
                            Cali, Colombia</p>
                        <br />
                        <p><span class="uppercase">Bogot&aacute;: </span><br />
                            Calle 8 No. 20-30 <br />
                            C. C. Siete Mares Local 201 <br />
                            Whatsapp: +57 320-691 5277 <br />
                            Bogot&aacute; D. C.</p>
                        <br />
                        <p><span class="uppercase">Medell&iacute;n - Itag&uuml;&iacute;: </span><br />
                            Calle 82 No. 52A-75 <br />
                            C. C. Moda Rosa Etapa 2 Local 401 <br />
                            Whatsapp: +57 320-691 5273 <br />
                            Itag&uuml;&iacute; - Antioquia</p>
                    </div>
                    {#<div class="row">
                        <div class="small-12 medium-5 columns">
                            <h4 class="lista_prod">Colecci&oacute;n</h4>
                            <h4 class="nombre_cat mini">{{ cat.nombre }}</h4>
                        </div>
                        <div class="small-12 medium-7 columns">
                            <ul class="small-block-grid-2 medium-block-grid-4">
                                {% for p in cat.productos %}
                                    <li>
                                        {% set img = p.imagenes.first %}
                                        <a href="index.php?option=com_my_component&controller=catalogo&task=mostrarProducto&id={{ p.id }}">
                                            <img src="{{ urlImg }}productos/{{ p.id }}/{{ img.archivo }}" alt="{{ p.nombre }}" />	
                                        </a>
                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>#}
                </div>
            </div>
        </div>
        <div class="small-12 columns">
            <a class="button round" href="{{ preUrl }}index.php">Regresar</a>
        </div>
    </div>
{% endblock %}

